Page MenuHomePhabricator

efl.ui.cursor
Closed, ResolvedPublic

Description

| |interface Efl.Ui.Cursor
| |├ (P) cursor
| |├ (P) cursor_style
| |├ (P) cursor_theme_search_enabled

Details

Related Objects

StatusAssignedTask
Resolvedzmike
Resolvedzmike
Duplicatesingh.amitesh
Resolvedzmike
Resolvedzmike
zmike created this task.Jan 8 2019, 11:39 AM
zmike triaged this task as TODO priority.
segfaultxavi moved this task from Backlog to Evaluating on the efl: api board.Feb 6 2019, 3:46 AM
zmike moved this task from Evaluating to "easy" on the efl: api board.Feb 6 2019, 5:36 AM

Currently, only "Efl.Ui.Widget" and "Efl.Ui.Layout_Part" are implementing this interface.

I'm not sure why "Efl.Ui.Layout_Part" needs to implement this.

Is there any layout_part which needs this cursor feature ? I think "supporting cursor in Efl.Ui.Widget" looks sufficient.

Then, we may remove this interface and add the properties in Efl.Ui.Widget.

Just my opinion :-)

I am wondering if the Efl.Ui.Layout_Part is maybe used for the old item scenario in grid, list and friends. In which case, I would agree with Woohyun, that we shouldn't have this need any more as we do not want to repeat the mistake of having a half weird object that is not a widget for no good reason.

zmike closed this task as Resolved.Feb 15 2019, 12:04 PM
zmike claimed this task.

Closing this since we're removing the interface.